Skip to main content
GET
/
knowledge-base
/
resources
List Knowledge Base resources
curl --request GET \
  --url https://api.vanta.com/v1/knowledge-base/resources \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "507f1f77bcf86cd799439021",
        "type": "FILE",
        "title": "SOC 2 Type II Report",
        "description": "Annual SOC 2 Type II report covering 2024.",
        "fileUrl": "https://vanta-uploaded-documents.s3.amazonaws.com/507f1f77bcf86cd799439021?X-Amz-Expires=3600&X-Amz-Signature=...",
        "customerVisibility": "REQUEST_ACCESS",
        "downloadPermission": "VIEW_AND_DOWNLOAD",
        "isUsedInQuestionnaires": true,
        "ownerAssignment": {
          "type": "User",
          "id": "507f1f77bcf86cd799439041",
          "displayName": "Alex Rivera"
        },
        "expirationStatus": "CURRENT",
        "expirationDate": "2025-12-31T00:00:00.000Z",
        "lastUpdated": "2024-12-15T17:42:11.000Z",
        "lastVerified": "2024-12-20T09:00:00.000Z",
        "tags": [
          {
            "categoryId": "507f1f77bcf86cd799439011",
            "tagId": "507f1f77bcf86cd799439013"
          }
        ],
        "categoryId": "507f1f77bcf86cd799439051"
      },
      {
        "id": "507f1f77bcf86cd799439022",
        "type": "URL",
        "title": "Vanta Security Overview",
        "description": "Public-facing overview of Vanta's security posture.",
        "url": "https://www.vanta.com/security",
        "customerVisibility": "PUBLIC",
        "includeSubPages": true,
        "isUsedInQuestionnaires": true,
        "ownerAssignment": {
          "type": "User",
          "id": "507f1f77bcf86cd799439041",
          "displayName": "Alex Rivera"
        },
        "expirationStatus": "CURRENT",
        "expirationDate": "2025-08-01T00:00:00.000Z",
        "lastUpdated": "2024-11-04T13:21:55.000Z",
        "lastVerified": "2024-11-04T13:21:55.000Z",
        "tags": [
          {
            "categoryId": "507f1f77bcf86cd799439011",
            "tagId": "507f1f77bcf86cd799439014"
          }
        ],
        "categoryId": "507f1f77bcf86cd799439052"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

q
string

Full-text search across resource titles.

typeMatchesAny
enum<string>[]

Filter to FILE and/or URL resources. Repeat the param to allow either.

Available options:
FILE,
URL
lastUpdatedAfter
string

Only include resources updated at or after this ISO 8601 timestamp.

lastUpdatedBefore
string

Only include resources updated at or before this ISO 8601 timestamp.

matchesTags
string

JSON-encoded array of {categoryId, tagId} pairs. Tags within the same category are OR'd together; tags across different categories are AND'd. For example, passing two tags from "Framework" and one tag from "Region" matches resources that have either of the two frameworks AND the given region. Discover valid categoryId and tagId values via GET /v1/customer-trust/tag-categories (to list categories) and GET /v1/customer-trust/tag-categories/{tagCategoryId} (to list tags within a category).

expiresBefore
string

Only include resources expiring at or before this ISO 8601 timestamp.

expiresAfter
string

Only include resources expiring at or after this ISO 8601 timestamp.

Response

200 - application/json

Ok

results
object
required